SocialProvider changes to properly handle "logout"
The toolbar UI in bug  needs to be able to indicate that the user has "logged out" from the provider. Need to adjust the SocialProvider to accommodate this.
